#include "LiquidCrystal_I2C.h"

#define cols 16  //колонок
#define lines 2  //строк
//задаем адрес LCD экрана 0x3F или 0х27, 16 символов, 2 строки
LiquidCrystal_I2C lcd(0x27, lines, cols);

void setup() {
  lcd.init(); // Инициализируем экран
  //включаем подсветку
  lcd.backlight();
  //Устанавливаем позицию начиная с которой выводится текст.
  delay(1000);
  int ch;
  for (int p = 0; p < 256/(cols*lines); p++) {  //страницы
    for (int y = 0; y < lines; y++) {  //строки
      for (int x = 0; x < cols; x++) {  //колонки
        lcd.setCursor(x, y);
        lcd.print(char(ch));
        ch++;
      }
    }
    delay(2000);
  }
}

void loop() {
}

